中危 Apache OpenOffice 安全漏洞(CVE-2021-33035)

CVE编号

CVE-2021-33035

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-09-23
漏洞描述
Apache OpenOffice是美国阿帕奇(Apache)基金会的一款开源的办公软件套件。该套件包含文本文档、电子表格、演示文稿、绘图、数据库等。
Apache OpenOffice 存在安全漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://securityaffairs.co/wordpress/122426/security/apache-openoffice-rce-cve-2021-33035.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache openoffice * Up to
(including)
4.1.10
运行在以下环境
系统 ubuntu_18.04.5_lts libreoffice * Up to
(excluding)
1:6.0.7-0ubuntu0.18.04.10
阿里云评分
5.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-120 未进行输入大小检查的缓冲区拷贝(传统缓冲区溢出)
阿里云安全产品覆盖情况